Mulgara - Feature #148

Remove Jena dependency in date types
09/19/2008 09:03 PM - Paula Gearon

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version: SPARQL Query Engine

Resolution: fixed

Description

The date types of gYear, gMonth, gDay, gMonthDay and gYearMonth are using Jena XSD classes to wrap the fields in a
java.util.Calendar object, despite parsing everything themselves. The work is redundant, and it is creating an artificial dependence on

Jena code. This should be removed.

History

#1 - 10/07/2008 07:32 PM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

This will be in the 2.0.6 release

#2 - 10/10/2008 12:18 AM - ronald -
The fix occurred in r1267.

04/05/2024

1/1



https://code.mulgara.org/projects/mulgara/repository/3/revisions/1267
http://www.tcpdf.org

